Bug 469972 - Review Request: libglfw - A portable framework for OpenGL
Review Request: libglfw - A portable framework for OpenGL
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nielsen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 462181 469969
  Show dependency treegraph
 
Reported: 2008-11-04 17:41 EST by Paul F. Johnson
Modified: 2009-01-11 17:01 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 09:29:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2008-11-04 17:41:24 EST
Spec URL: http://pfj.fedorapeople.org/glfw.spec
SRPM URL: http://pfj.fedorapeople.org/glfw-2.6-1.fc10.src.rpm
Description: GLFW is a free, Open Source, portable framework for OpenGL application development. In short, it is a single library providing a powerful, portable API for otherwise operating system specific tasks such as opening an OpenGL window, and reading keyboard, time, mouse and joystick input.
Comment 1 David Nielsen 2008-11-07 17:08:09 EST
I'll take this
Comment 2 David Nielsen 2008-11-08 09:05:10 EST
bad rpmlint output:

glfw.x86_64: W: file-not-utf8 /usr/share/doc/glfw-2.6/glfwug.tex
glfw.x86_64: W: file-not-utf8 /usr/share/doc/glfw-2.6/glfwrm.tex
glfw.x86_64: E: no-binary
(if it has no binary wouldn't libglfw be a better name - also documentation goes in the documentation package)

glfw-debuginfo.x86_64: E: empty-debuginfo-package
(see below)

glfw-devel.x86_64: W: unstripped-binary-or-object /usr/lib64/libglfw.so
glfw-devel.x86_64: W: no-soname /usr/lib64/libglfw.so

glfw.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 9)

according to
http://glfw.sourceforge.net/license.html
license is zlib/libpng not bsd

and as usual a few comments on your voodoo is nice for those who maintain your packages while you are unable.

You should split out all the documentation into a subpackage or at the very least put it in the -devel package (though there seems to be a lot of it, a doc package would be preferable)

Good news though, it builds in mock (x86_64 f10)
Comment 3 Paul F. Johnson 2008-11-08 09:35:39 EST
Spec URL: http://pfj.fedorapeople.org/glfw.spec
SRPM URL: http://pfj.fedorapeople.org/libglfw-2.6-2.fc10.src.rpm

Okay, sorted most of the problems except for the spec file - I can do that on the next run (somewhat rushed today!!!!)
Comment 4 Paul F. Johnson 2008-11-12 13:59:29 EST
Ping!!!!
Comment 5 David Nielsen 2008-11-12 14:15:52 EST
oh when you said "the next run" I thought you meant another update was coming so I didn't look at it

Generally I like this one, let's call it approved
Comment 6 Paul F. Johnson 2008-11-12 16:50:51 EST
Thanks :-)

New Package CVS Request
=======================
Package Name: libglfw
Short Description: A portable OpenGL framework
Owners: pfj
Branches: devel, f9
InitialCC: pfj
Comment 7 Paul F. Johnson 2008-11-12 16:51:25 EST
I'll rebuild for tao in the morning and update that :-)
Comment 8 Kevin Fenzi 2008-11-14 00:33:07 EST
David: I know it's a formality, but could you set the fedora-review flag to + ? 
I know you approved in comment #5, but can you just confirm? 

Also, Paul: would it be possible to re-upload the spec so others could look? 
It's gone from the above links.
Comment 9 David Nielsen 2008-11-14 03:39:42 EST
dear Einstein I hate the new bugzilla, it's confusing layout keeps letting me forget these details. die die die..
Comment 10 Kevin Fenzi 2008-11-16 15:20:03 EST
Paul: I assume you want a F10 branch as well?

cvs done (with F-10 branch as well).
Comment 11 Ville Skyttä 2008-12-01 08:59:11 EST
Looks like there's still some work here to do, reopening:

What's the rationale for the empty main package?  Shouldn't the *.so be included in it instead of -devel?

The ldconfig calls are useless in the now empty main package.  I suppose they'd be useless even if the *.so would be in the main one because there's no soname in the *.so.

Specfile should be named libglfw.spec, not glfw.spec.

Empty debuginfo package and unstripped objects remain unfixed.  Fix for both would probably be a matter of installing the *.so with 755 permissions instead of 644.
Comment 12 Lubomir Rintel 2009-01-01 11:23:37 EST
Ping

The .so file should really go to the main package and the static library should be eliminated, see http://fedoraproject.org/wiki/Packaging/Guidelines#Exclusion_of_Static_Libraries

Ville: By the way -- is it ok for a shared library to have no soname? Without it we can't depend on exact ABI version. Probably the right way to fix it to persuade upstream into using a SONAME themselves (they already consider package versions to be API versions, according to comments in source code). But anyway, if upstream did not do that, shouldn't we just make up a soname?
Comment 13 Ville Skyttä 2009-01-01 14:01:41 EST
Persuading upstream to implement versioning would be best.  I don't think it's necessarily a good idea to invent versioning independently of upstream in the Fedora packages - there may be a good deal of confusion when/if upstream later implements versioning as well and ships a version using the same soname that was earlier used in Fedora for something that's not ABI compatible.

And additionally, if the shared lib is left unversioned at least for now, I don't think adding an unversioned soname would add any value either - AFAIK sonames are all about versioning.
Comment 14 Robert Scheck 2009-01-01 19:08:50 EST
Degrading successful fedora-cvs flag as the review wasn't that successful;
please do a real and full formal review solving all the mentioned issues.
Comment 15 Simon 2009-01-07 18:52:56 EST
ping?
Comment 16 Lubomir Rintel 2009-01-08 09:26:13 EST
I went through the outstanding issues and corrected the package according to Guidelines, since the maintainer seemed irresponsive.

David, please pay more attention to reviews, ask your sponsor or #fedora-devel if you are unsure about something. Thanks!
Comment 17 Robert Scheck 2009-01-11 17:01:33 EST
Lubomir, thanks for doing the work. I had a short look to it in CVS and it
now looks fine to me. Can you also please prepare a same well done update
for F-9 if not already done?

Note You need to log in before you can comment on or make changes to this bug.